# Form implementation generated from reading ui file 'src/eric7/HelpViewer/HelpBookmarkPropertiesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HelpBookmarkPropertiesDialog(object):
    def setupUi(self, HelpBookmarkPropertiesDialog):
        HelpBookmarkPropertiesDialog.setObjectName("HelpBookmarkPropertiesDialog")
        HelpBookmarkPropertiesDialog.resize(500, 108)
        HelpBookmarkPropertiesDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(HelpBookmarkPropertiesDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=HelpBookmarkPropertiesDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.titleEdit = QtWidgets.QLineEdit(parent=HelpBookmarkPropertiesDialog)
        self.titleEdit.setClearButtonEnabled(True)
        self.titleEdit.setObjectName("titleEdit")
        self.gridLayout.addWidget(self.titleEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=HelpBookmarkPropertiesDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.urlEdit = QtWidgets.QLineEdit(parent=HelpBookmarkPropertiesDialog)
        self.urlEdit.setClearButtonEnabled(True)
        self.urlEdit.setObjectName("urlEdit")
        self.gridLayout.addWidget(self.urlEdit, 1, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HelpBookmarkPropertiesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 2, 0, 1, 2)

        self.retranslateUi(HelpBookmarkPropertiesDialog)
        self.buttonBox.accepted.connect(HelpBookmarkPropertiesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HelpBookmarkPropertiesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HelpBookmarkPropertiesDialog)

    def retranslateUi(self, HelpBookmarkPropertiesDialog):
        _translate = QtCore.QCoreApplication.translate
        HelpBookmarkPropertiesDialog.setWindowTitle(_translate("HelpBookmarkPropertiesDialog", "Bookmark"))
        self.label.setText(_translate("HelpBookmarkPropertiesDialog", "Title:"))
        self.titleEdit.setToolTip(_translate("HelpBookmarkPropertiesDialog", "Enter the title for the bookmark"))
        self.titleEdit.setPlaceholderText(_translate("HelpBookmarkPropertiesDialog", "Enter Bookmark Title"))
        self.label_2.setText(_translate("HelpBookmarkPropertiesDialog", "URL:"))
        self.urlEdit.setToolTip(_translate("HelpBookmarkPropertiesDialog", "Enter the URL for the bookmark"))
        self.urlEdit.setPlaceholderText(_translate("HelpBookmarkPropertiesDialog", "Enter Bookmark URL"))
